#*******************************************************************************
#   错误消息开始
#*******************************************************************************

#以下为页面显示时的消息
ErrPageShow_001=所访问页面不存在或是不正确

#以下为表单设计时的消息
Err01001=参数不能为空
Err01002=参数不正确，不能查找到对应的表单
Err01003=两个表的主子关系记录已存在
Err01004=表单与表单项目有联系，不能删除
Err01005=表单已经发布，不可以修改
Err01006=UUID 为空
Err01007=表单已经发布，不可以删除
Err01008=建立数据库表格失败, 表格ID为空
Err01009=不明确的数据库链接
Err01010=配置文件路径查找失败
Err01011=主外键输入值不正确
Err01012=主外键定义错误
Err01013=数据集合为空
Err01014=数据字段列表集合为空
Err01015=数据字段列表必须是ArrayList
Err01016=数据行数超出范围
Err01017=数据字段没有找到
Err01018=ID重复
Err01019=列表节点索引错误，请察看
Err01020=查询失败
Err01021=服务器连接超时，请重新查询或重新登录
Err01022=您要查看的数据已过期，请重新查询
Err01023=您要查看的数据已过期，请重新查询
Err01024=记录集为空

#以下为菜单部分的消息
Err_Menu_001=参数不能为空
Err_Menu_002=该菜单拥有子菜单，不能删除！
Err_Menu_003=菜单不存在
Err_Menu_004=一个菜单的父菜单不能是它自己
Err_Menu_005=一个菜单的父菜单不能是它自己的子菜单

#以下为WebPageHelper部分的消息
Err_WebPageHelper_001=非法访问


#以下为页面数据部分的消息
Err_PageDb_001=没有找到主键UUID

#以下为Tree页面数据部分的消息
Err_TreeDb_001=参数不能为空
Err_TreeDb_002=该节点拥有子节点，不能删除！
Err_TreeDb_003=节点不存在
Err_TreeDb_004=一个节点的父节点不能是它自己
Err_TreeDb_005=一个节点的父节点不能是它自己的子节点

#以下为组件通用的消息
Err_Comp_001=数据不允许为空

#以下为AutoId组件的消息
Err_AutoId_001=获取下一个顺序号发生错误

#以下为Button组件的消息
Err_Button_001=没有对应的主表记录

#以下为Number组件的消息
Err_number_1_001=数据值不能转换成为数字
Err_number_1_002=数据值不在限定的范围内

#以下为Reference组件的消息
Err_Reference_001=没有对应的值

#以下为WebPageDbModel组件的消息
Err_WebPageDbModel_001=根据请求生成页面数据模型出错

#以下为文件上传组件的消息
Err_FileUpload_001=附件文件不存在

#以下为EboValueListHandler的消息
Err_EboValueListHandler_001=List为空

#*******************************************************************************
#   错误消息结束
#*******************************************************************************

#*******************************************************************************
#   Message消息开始
#*******************************************************************************
MSG_0001=已经存在同编号的Tree定义，它就不能再定义成-是根节点
MSG_0002=不存在同编号的Tree定义，它必须定义成-是根节点
MSG_0003=恭喜你新增成功
MSG_0004=新增失败
MSG_0005=恭喜你修改成功
MSG_0006=修改失败
MSG_0007=数据库表格列表

#*******************************************************************************
#   Message消息结束
#*******************************************************************************
